# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Tue Nov  7 13:37:39 2023
# ------------------------------------------------

package:
  name: snowflake-ml-python
  version: 1.0.11
source:
  sha256: 6f8c2d55122eec0541b30d32c41bca59db3e36685828f83b98ec33a832a082f3
  url: https://github.com/snowflakedb/snowflake-ml-python/archive/refs/tags/1.0.11.tar.gz
build:
  number: '0'
  string: py39h998d150_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - bazel 6.2.0 h419075a_0
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - bzip2 1.0.8 hfd63f10_2
    - c-ares 1.19.1 h998d150_0
    - ca-certificates 2023.08.22 hd43f75c_0
    - curl 8.4.0 h6ac735f_0
    - expat 2.5.0 h419075a_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - gdbm 1.18 hf59d7a7_4
    - gettext 0.21.0 h0cce8dc_1
    - git 2.40.1 pl5340h372b8bf_1
    - icu 73.1 h419075a_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - krb5 1.20.1 h2e2fba8_1
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libcurl 8.4.0 hfa2bbb0_0
    - libedit 3.1.20221030 h998d150_0
    - libev 4.33 hfd63f10_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.57.0 hb788212_0
    - libssh2 1.10.0 h6ac735f_2
    - libstdcxx-ng 11.2.0 h1234567_1
    - libxml2 2.10.4 h045d036_1
    - ncurses 6.4 h419075a_0
    - openjdk 11.0.6 h241ca14_1
    - openssl 3.0.12 h2f4d8fa_0
    - pcre2 10.42 hcfaa891_0
    - perl 5.34.0 h998d150_2
    - readline 8.2 h998d150_0
    - sysroot_linux-aarch64 2.26 h4744778_14
    - tk 8.6.12 h241ca14_0
    - xz 5.4.2 h998d150_0
    - zlib 1.2.13 h998d150_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - ca-certificates 2023.08.22 hd43f75c_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.4.4 h419075a_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - ncurses 6.4 h419075a_0
    - openssl 3.0.12 h2f4d8fa_0
    - pip 23.3 py39hd43f75c_0
    - python 3.9.18 h4bb2201_0
    - readline 8.2 h998d150_0
    - setuptools 68.0.0 py39hd43f75c_0
    - sqlite 3.41.2 h998d150_0
    - tk 8.6.12 h241ca14_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.41.2 py39hd43f75c_0
    - xz 5.4.2 h998d150_0
    - zlib 1.2.13 h998d150_0
  run:
    - absl-py >=0.15,<2
    - anyio >=3.5.0,<4
    - cachetools >=3.1.1,<5
    - cloudpickle >=2.0.0
    - fsspec >=2022.11,<2024
    - libgcc-ng >=11.2.0
    - numpy >=1.23,<2
    - packaging >=20.9,<24
    - pandas >=1.0.0,<2
    - python >=3.9,<3.10.0a0
    - pytimeparse>=1.1.8,<2
    - pyyaml >=6.0,<7
    - requests
    - s3fs >=2022.11,<2024
    - scikit-learn >=1.2.1,<1.4
    - scipy >=1.9,<2
    - snowflake-connector-python >=3.0.4,<4
    - snowflake-snowpark-python >=1.5.1,<2
    - sqlparse >=0.4,<1
    - typing-extensions >=4.1.0,<5
    - xgboost >=1.7.3,<2
  run_constrained:
    - lightgbm ==3.3.5
    - mlflow >=2.1.0,<2.4
    - sentencepiece >=0.1.95,<0.2
    - shap ==0.42.1
    - tensorflow >=2.9,<3,!=2.12.0
    - tokenizers>=0.10,<1
    - torchdata >=0.4,<1
    - transformers >=4.29.2,<5
test:
  commands:
    - pip check
  imports:
    - snowflake.ml
    - snowflake.ml.fileset
    - snowflake.ml.model
    - snowflake.ml.modeling
    - snowflake.ml.registry
    - snowflake.ml.utils
  requires:
    - pip
about:
  description: 'The machine learning client library that is used for interacting with
    Snowflake

    to build machine learning solutions. Functionalities include model uploading,

    training, feature engineering, etc.

    '
  dev_url: https://github.com/snowflakedb/snowflake-ml-python
  doc_url: https://docs.snowflake.com/developer-guide/snowpark-ml/index
  home: https://github.com/snowflakedb/snowflake-ml-python
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE.txt
  summary: Snowflake machine learning library.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: c885ca1f-c48c-4cf0-826f-44e420eaf5c8
  recipe-maintainers:
    - sumit0190
  remote_url: git@github.com:AnacondaRecipes/snowflake-ml-python-feedstock.git
  sha: 476c99609681c60cd43df125b0493605ebd1415a
